Posts
Create Post
Creates a new post on the specified entity
Creates a new post on the specified entity
Query Parameters
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (files,reactions,owner,replies)
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/posts" \ -H "Content-Type: application/json" \ -d '{ "entityType": "task", "entityId": "string", "content": "string" }'{ "id": "string", "publicId": "string", "content": "string", "action": "string", "actionValue": "string", "entityId": "string", "entityType": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "ownerId": "string", "parentId": "string", "isResolved": true, "sourceType": null, "sourceUrl": null, "sourceMetadata": {}, "entityTitle": "string", "entityUrl": "string", "postUrl": "string", "files": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "url": "http://example.com", "kind": "avatar", "visibility": "public", "name": "string", "contentType": "string", "size": 0, "width": 0, "height": 0, "status": "pending", "entityType": "post", "entityId": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "reactions": [ { "id": "string", "postId": "string", "userId": "string", "reaction": "string" } ], "owner": { "id": "string", "name": "string", "email": "string", "username": "string" }, "replies": [ { "id": "string", "publicId": "string", "content": "string", "action": "string", "actionValue": "string", "entityId": "string", "entityType": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "ownerId": "string", "parentId": "string", "isResolved": true, "sourceType": null, "sourceUrl": null, "sourceMetadata": {}, "entityTitle": "string", "entityUrl": "string", "postUrl": "string", "files": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "publicId": "string", "url": "http://example.com", "kind": "avatar", "visibility": "public", "name": "string", "contentType": "string", "size": 0, "width": 0, "height": 0, "status": "pending", "entityType": "post", "entityId": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "reactions": [ { "id": "string", "postId": "string", "userId": "string", "reaction": "string" } ], "owner": { "id": "string", "name": "string", "email": "string", "username": "string" } } ], "repliesHasMore": true}